Bug 189942 - eth0 driver fails during NFS install on Soyo MB + Broadcom
eth0 driver fails during NFS install on Soyo MB + Broadcom
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-25 19:52 EDT by Michael
Modified: 2008-05-06 11:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:50:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sat 21 Oct 2006 - dmesg output after installation of fc6pre from CD (20.45 KB, text/plain)
2006-10-21 13:54 EDT, Michael
no flags Details
Sat 21 Oct 2006 - 'lspci -n' output after installation of fc6pre from CD (495 bytes, text/plain)
2006-10-21 13:55 EDT, Michael
no flags Details
Sat 21 Oct 2006 - sysreport output after installation of fc6pre from CD (319.17 KB, application/x-bzip2)
2006-10-21 13:56 EDT, Michael
no flags Details
kern.err output (11.42 KB, text/plain)
2006-11-07 14:53 EST, Michael
no flags Details
kern.debug syslog ouput (12.16 KB, text/plain)
2006-11-07 14:54 EST, Michael
no flags Details
output from 'ethtool eth0' ... no joy (37 bytes, text/plain)
2006-11-07 14:55 EST, Michael
no flags Details

  None (edit)
Description Michael 2006-04-25 19:52:14 EDT
Description of problem:

Network is not being initialized properly, preventing NFS install ... 'linux
askmethod' 

I previously did a successful NFS install of FC4 on this machine. 

I categorized this as an 'anaconda' problem because it happens during install
and I did not know how to properly categorize it. 

After selecting 'NFS image' the 'Configure TCP/IP' screen appears. Regardless of
whether I pick dhcp or assign a static IP address, the network does not get
initialized. 

I used a hub + ethereal on another machine to observe what was going on ... no
packets come out the jack. 


Version-Release number of selected component (if applicable):

FC5

How reproducible:

100% reproducible

Steps to Reproduce:
1. Use Soyo SY-P4I865PE Plus Dragon 2 motherboard
2. boot from FC5 CD #1
3. 'linux askmethod'
4. 'NFS image'
5. with dhcp, observe that it never leaves the 'Configure TCP/IP' screen
  
Actual results:

Network does not get initialized and install cannot continue

Expected results:

Successful NFS installation

Additional info:

FC4 with latest updates is still running on the local hard drive, so I can get
info about the network card if you need it.
Comment 1 Michael 2006-05-18 08:46:54 EDT
Any interest in taking a look at this? 

Soon I am going to have to repurpose this equipment and will lose the chance to
test with it. 
Comment 2 Michael 2006-07-17 16:46:35 EDT
I am polling once again to see if anyone wants to take a look at this ...

Signed,
Your faithful user
Comment 3 Michael 2006-10-05 11:13:17 EDT
Just checking in. I am willing to do what I can to help ensure hardware
compatibility. 

Please advise. 
Comment 4 Dave Jones 2006-10-16 16:41:17 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Michael 2006-10-16 17:55:45 EDT
I will check this within the next day or two ... and will advise. 
Comment 6 Michael 2006-10-16 18:42:52 EDT
I don't know how to test this ...

This is an installation issue, trying to install from an NFS image. 

The FCMETA_INSTALL but/document did not help me. 

Q: Is there a mechanism that I can use to test this out?

Q: Can I just replace the anaconda stuff on my NFS image to determine whether or
not it recognizes this NIC? 


Please advise. 
Comment 7 Dave Jones 2006-10-16 19:35:42 EDT
The Fedora Unity project does respins of older releases with updated kernels etc
(http://fedoraunity.org/), which may be a starting point.

You might also want to give FC6 a try, to see if that works.  It may have just
been a case of the kernel that ended up on the FC5 media not being new enough.

Other than that, I don't really know what to suggest.
Comment 8 Michael 2006-10-16 21:13:06 EDT
Uhh ... I am not following you. 

It worked fine with FC4, but broke with FC5. 

You said:

 You might also want to give FC6 a try, to see if that works.

Q: Are you saying that there is a test version of FC6 available for download? 

Q: Or are you saying that I should wait until FC6 test versions are available? 

(I did not find FC6 test versions on several download mirrors).
Comment 9 Michael 2006-10-16 21:16:07 EDT
Got it ... found FC-6-Test2 on another mirror
Comment 10 Dave Jones 2006-10-16 21:22:09 EDT
test2 is a few months old now (it has been deprecated since by both fc6test3,
and fc6pre)

fc6pre can be obtained using bittorrent. Instructions are at 
http://torrent.fedoraproject.org/
Comment 11 Michael 2006-10-17 12:52:58 EDT
OK ... I retrieved fc6pre through bittorrent per your instructions ... Thanks!

Things are still not right with the network driver for this motherboard during
the installation process. 

I am using ethereal to watch the network packets during the installation process. 

When trying to do an NFS or FTP install, I am seeing between 500 and 15K DHCP
Discover and DHCP Request packets over a period of up to 71 seconds. My DHCP
server is responding with DHCP ACK and DHCP Offer packets. 

I have upgraded the motherboard BIOS to the latest version. There seems to be no
separate firmware upgrade for the onboard NIC. 

I am glad to try to help diagnose this problem ... just let me know what I can do. 

Michael
Comment 12 John W. Linville 2006-10-20 15:58:30 EDT
Michael, can you get FC6 installed on the box using CD/DVD or possibly a 
different NIC?  Once it is up, can you attach the output of running "dmesg" 
and "lspci -n", as well as the contents of /var/log/messages?  The output 
from "sysreport" might be even better if you have the time.

Please attach at least the dmesg and lspci output as a minimum...thanks!
Comment 13 Michael 2006-10-20 16:19:24 EDT
Will install fc6pre via CD and will get requested output. 

Michael
Comment 14 Michael 2006-10-21 13:54:38 EDT
Created attachment 139062 [details]
Sat 21 Oct 2006 - dmesg output after installation of fc6pre from CD
Comment 15 Michael 2006-10-21 13:55:41 EDT
Created attachment 139063 [details]
Sat 21 Oct 2006 - 'lspci -n' output after installation of fc6pre from CD
Comment 16 Michael 2006-10-21 13:56:58 EDT
Created attachment 139064 [details]
Sat 21 Oct 2006 - sysreport output after installation of fc6pre from CD
Comment 17 Michael 2006-10-21 14:01:01 EDT
Installed from CD and created attachments as requested. 

Note that during the installation I tried to check off that I was going to use
the system for 'Software Development'. A dialog came up and told me that I
needed a NIC. I believe that it successfully identfied the NIC. I told it to
configure with DHCP. System then died. 

After system is up and running, ifconfig only shows lo

LEDs around the motherboard RJ-45 connector are lit up. 
Comment 18 Michael 2006-10-23 17:07:14 EDT
I will be travelling from Tue 24 Oct 2006 - Thu 2 Nov 2006 ...

If you want more data then you need to get back to me today (Mon 23 Oct 2006)
Comment 19 John W. Linville 2006-10-23 17:13:36 EDT
It looks like you should be using the dmfe driver.  Is it loaded?  Have you 
tried loading it manually e.g. "modprobe dmfe"?
Comment 20 Michael 2006-10-23 17:26:29 EDT
I did not do anything other than a default installation. 

I just did a 'modprobe dmfe' ... got no complaints ... but there were no visible
changes.

Q: what is the dmfe module? network?

Q: What other steps should I take to test it?
Comment 21 Michael 2006-10-23 20:16:48 EDT
I did the following:
 - reboot
 - observe that eth0 does not get DHCP ip addr during startup
 - service network stop
 - rmmod tulip
 - modprobe dmfe
 - service network start
 - observe that eth0 still does not get DHCP ip addr
 - confirmed that lites are on/blinking on the switch port and the NIC
Comment 22 John W. Linville 2006-10-24 09:24:01 EDT
This looks like it might relate to bug 191048.

Could you specifically try:

   modprobe -r dmfe ; modprobe -r tulip ; modprobe dmfe

If that gives you an eth0 but DHCP still doesn't work for you, that might be 
another issue.  In that case, please try a static IP configuration.

Does that improve the (post install) networking situation?
Comment 23 Michael 2006-10-24 18:05:52 EDT
> This looks like it might relate to bug 191048.

I agree. 

I googled and found someone using ubuntu Linux that was talking about confusion
between tulip and davicom. 

> Could you specifically try:
> 
>    modprobe -r dmfe ; modprobe -r tulip ; modprobe dmfe

Unfortunately, I am travelling for the next week and do not have access to the
machine. This will have to wait until Fri 3 Nov 2006. 

Per my message above, I did:
  service network stop
  rmmod tulip
  modprobe dmfe
  service network start

> If that gives you an eth0 but DHCP still doesn't work for you, that might be 
> another issue.  In that case, please try a static IP configuration.
> 
> Does that improve the (post install) networking situation?

I will check this out on/after Fri 3 Nov 2006. 
Comment 24 Neil Horman 2006-10-26 12:25:59 EDT
So this definately sounds like 191048,  setting to NEEDINFO until reporter can
confirm static ip works for him with dmfe driver
Comment 25 Michael 2006-10-26 13:06:56 EDT
I'll get back to you as soon as I can ... on/after Fri 3 Nov 2006
Comment 26 Michael 2006-11-03 10:50:26 EST
Per your recommendation I tried the following:

>    modprobe -r dmfe ; modprobe -r tulip ; modprobe dmfe

> If that gives you an eth0 but DHCP still doesn't work for you, that might be 
> another issue. 

I did not get a DHCP ip address

> In that case, please try a static IP configuration.

I assigned a static IP address. 
ifconfig did show an eth0 device. 

However, there was no response to 'pings'. 

I set up ethereal going through a hub, with filtering based upon the mac
address, 'ether host 00:50:2C:A2:D2:9F'. I then went through the entire process
again, rebooting, modprobe -r ..., dhcp and static IP addr. 

No packets ever come out of the NIC. 

I would suspect the NIC and/or cable, but the lights are on and it worked fine
under FC4. 

Q: Any other things I can try/test? 
Comment 27 Neil Horman 2006-11-03 13:36:59 EST
yeah, I'd do the following:

1) Make sure syslog.conf is set to record kernel messages of level KERN_ERR and
higher

2) follow the above procedure, but edit your modprobe.conf file to add the
following line
options dmfe debug=1

3) use ethtool to confirm link status on the device

4) send in the output of (3) and /var/log/messages.  The debug messages that
dmfe outputs should help us track down where this problem is occuring.
Comment 28 Michael 2006-11-07 14:51:42 EST
Followed suggestions ... bad news ... we didn't get very much data. 

(In reply to comment #27)
> yeah, I'd do the following:
> 
> 1) Make sure syslog.conf is set to record kernel messages of
> level KERN_ERR and higher

I first ran it at level kern.err
We didn't get much data so I rerean it at kern.debug

I didn't see very much in either one of them. 
 
> 2) follow the above procedure, but edit your modprobe.conf file to
> add the following line
> options dmfe debug=1

done

> 3) use ethtool to confirm link status on the device

Sorry to report that ethtool only says:

 Settings for eth0:
 No data available

> 4) send in the output of (3) and /var/log/messages.  The debug messages that
> dmfe outputs should help us track down where this problem is occuring.

Attached ... but it doesn't look very promising to me. 

Please advise. 
Comment 29 Michael 2006-11-07 14:53:19 EST
Created attachment 140593 [details]
kern.err output
Comment 30 Michael 2006-11-07 14:54:07 EST
Created attachment 140595 [details]
kern.debug syslog ouput
Comment 31 Michael 2006-11-07 14:55:41 EST
Created attachment 140596 [details]
output from 'ethtool eth0' ... no joy
Comment 32 Michael 2006-11-07 15:15:33 EST
Sorry guys ... I double-checked everything and it looks like I was mistaken. 

After forcing removal of the tulip and dmfe driver, then forcing load of the
dmfe driver, the eth0 interface *DOES* come up. It will work either with a fixed
IP addr or with a dhcp addr. Presumably that is why there were no errors
reported in the kernel logs. 

It is the case that 'ethtool eth0' still reports 'No data available', so
something must not be happy. 

Comment 33 John W. Linville 2006-11-07 15:45:48 EST
FWIW, dmfe simply doesn't support ethtool (other than 'ethtool -i')...
Comment 34 Michael 2006-11-07 20:22:01 EST
OK, Thanks. 

I have some more info that may not help you very much, but makes me feel better: 

I was feeling guilty about previously reporting that it was not working. So I
tried it a few more times. 

It turns out that I need to go through the 'modprobe -r dme' cycle *twice* in
order to get it to work. 

Here is my sequence of commands:

#reboot the system
service network stop
lsmod | grep tulip
modprobe -r tulip
lsmod | grep tulip # observe that tulip is removed
modprobe dmfe
lsmod | grep dmfe
service network start
  Bringing up interface eth0: dmfe device eth0 does not seem to
  be present,  delaying initialization. 
# observe that eth0 does not work
service network stop
modprobe -r dmfe
lsmod | grep dmfe
modprobe dmfe
lsmod | grep dmfe
service network start
# observe that eth0 comes up OK 


Q: Why would I need to go through the cycle *twice* in order to get it to come up? 


Separately:

I changed my /etc/modprobe.conf to say
 alias eth0 dmfe

Yet, when I start the system the 'tulip' driver is loaded. 

Q: What controls / Why is the tulip driver loaded at startup? 

Comment 35 Michael 2006-11-19 04:16:35 EST
ping
Comment 36 Bug Zapper 2008-04-03 22:45:28 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 37 Bug Zapper 2008-05-06 11:50:45 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.